

*{
    margin: 0;
    padding: 0;
}

/*MARK:Body
*/
:root {
  --org: #f78154;
  --grn: #095d41;
  --wht: #f5f5f5;
  --blc: #0f0a0a;
  --gry: #b3bdbd;
}

@font-face {
  font-family: 'Popins'; /* libovolný název */
  src: url('fonts/Poppins/Poppins-Regular.ttf');
}

@font-face {
  font-family: 'Popins-bolt'; /* libovolný název */
  src: url('fonts/Poppins/Poppins-Bold.ttf');
}

@font-face {
  font-family: 'Popins-extrabolt'; /* libovolný název */
  src: url('fonts/Poppins/Poppins-ExtraBold.ttf');
}

h1{
    font-family: "Popins-extrabolt";
    font-size: 30px;
    font-weight: 700;
}

h2{
    font-family: "Popins-bolt";
    font-size: 24px;
    color: var(--blc);
}

h3{
    font-family: "Popins";
    font-weight: 500;
    font-size: 18px;
}

h4{
    font-size: 16px;
    font-family: 'Popins-extrabolt';
    margin-bottom: 12px;
    color: var(--blc);
}

p{
    font-family: "Popins";
    font-size: 16px;
    color: var(--blc);
}

a{
    font-family: "Popins-bolt";
    font-size: 16px;
    color: var(--blc);
    text-decoration: none;
}


body{
    justify-items: center;
    display: grid;
}

main{
    max-width: 1200px;
    width: 100%;
    color: var(--wht);
}

/*MARK:Navbar
*/
#header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0px 60px;
    background-color: white;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.06);
    z-index: 999;
    position: sticky;
    transition: top 0.3s ease;
    top: 0;
    left: 0;   
}

#header img{
    height: 50px;
    transition: transform 0.6s ease;
   
}

#header img:hover{
    transform: rotate(-360deg);
}

#navbar {
    display: flex;
    align-items: center;
    justify-content: center;
}

#navbar li {
    list-style: none;
    padding: 0 15px;
    position: relative;
    transition: 0.3s;
}

#navbar li a {
    text-decoration: none;
    font-family: 'Popins-bolt';
    font-size: 18px;
    color: var(--blc);
    transition: 0.3s ease;
    position: relative;
}

#navbar li a::after {
    content: '';
    position: absolute;
    width: 0;
    height: 2px;
    background-color: var(--org);
    left: 0;
    bottom: -3px;
    transition: width 0.3s ease-in-out;
}

#navbar li a:hover::after {
    width: 100%;
}

#navbar li a:hover {
    color: var(--org); 
}

#mobil{
    cursor: pointer;
    display: none;
    align-items: center;
}

#close{
    cursor: pointer;
    display: none;
}
/*MARK:Baner
*/
#program-baner {
    width: 100%;
    height: auto; /* třeba 60 % výšky okna */
    overflow: hidden;
}

#program-baner img {
    width: 100%;
    height: auto;
    object-fit: cover; /* obrázek vyplní celý prostor */
}
/*MARK:Servis
*/
#servis{
    padding: 100px 70px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.06);
}

#servis .servis-text p {
    font-family: 'Popins-bolt';
    font-size: 20px;
    text-align: justify;
}

#about360{
    padding: 70px 70px;
    background-color: var(--gry);
}

#about360 .about360-headline{
    padding: 30px 0 30px 0;
}

#about360 .about360-box{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    border-bottom: 1px solid var(--grn);
    padding-bottom: 0px;
}

#about360 .about360-text {
    width: 33%;
    min-width: 320px;
    display: flex;
    align-items: flex-start;
    padding: 0 0 25px 0;
    position: relative;
}

#about360 .about360-text::before {
    content: "";
    display: inline-block;
    width: 12px; /* průměr tečky */
    height: 12px;
    background: url("img/tecka-b.png") no-repeat center center;
    background-size: contain; /* aby se to přizpůsobilo */
    margin-right: 10px;
    margin-top: 6px; /* doladí svislé zarovnání s textem */
    flex-shrink: 0; /* aby se nezmenšoval */
}

#about360 .about360-text p {
    padding-right: 30px; /* oprava mezery (bylo špatně s mezerou mezi číslem a px) */
}



footer{
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.06);
    display: flex;
    text-align: center;
    justify-content: center;
    height: 25px;
    padding-bottom: 5px;
}

footer img{
    margin-left: 20px;
}

html, body {
    max-width: 100%;
}

/*MARK:1000
*/
@media (max-width: 1200px) {
    #header, 
    #servis, 
    #about360, 
    #program-baner,
    #contact {
        padding: 0px;
        box-sizing: border-box;
    }

    #program-baner img {
        width: 100%;
        height: auto;
        object-fit: cover;
    }

    .servis-text,
    .servis-info {
        padding: 20px 30px;
    }

    .about360-box {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        gap: 25px;
    }

    .about360-headline h2{
        padding-left: 30px;
    }

    .about360-text {
        width: 33%;
        min-width: 250px;
        text-align: center;
        padding: 10px 0px;
    }
}

/*MARK:900
*/
@media (max-width: 900px) {
    #header {
        padding: 10px 30px;
    }

    #navbar {
        flex-wrap: wrap;
        gap: 10px;
    }

    #navbar li {
        padding: 10px 8px;
    }

    .about360-text {
        text-align: center;
    }
}

/*MARK:800
*/
@media (max-width: 800px) {
    #program-baner img {
        width: 100%;
        height: auto;
        object-fit: cover;
    }

    #servis {
        padding: 20px 0px;
        text-align: center;
    }

    #servis .servis-text {
        padding: 10px;
    }

    #servis .servis-text p{
        text-align: center;
    }

    #servis .servis-info {
        padding: 0 20px;
    }

    #servis .servis-info p {
        text-align: center;
    }

    #about360 .about360-box {
        flex-direction: column;
        align-items: center;
        padding-bottom: 20px;
    }

    #about360 .about360-text p {
    text-align: left;
    }

    #about360 .about360-text::before {
    margin-right: 8px;
    margin-top: 6px;
    flex-shrink: 0;
    }
    
    #navbar {
        display: none;
        position: absolute;
        top: 70px;
        right: 0;
        width: 100%;
        background-color: white;
        flex-direction: column;
        align-items: center;
        gap: 20px;
        padding: 20px 0;
        box-shadow: 0 5px 15px rgba(0,0,0,0.1);
    }

    #mobil, #close {
        display: flex;
        align-items: center;
        cursor: pointer;
        font-size: 26px;
        color: var(--blc);
        z-index: 1000;
    }

    #mobil {
        margin-left: auto;
    }

    #close {
        position: absolute;
        right: 20px;
        top: 20px;
        display: none;
    }

    #about360 .about360-text {
        width: 60%;
        padding: 10px 0px;
    }

    .about360-box {
        gap: 5px;
    }

    .about360-headline h2 {
        text-align: center;
        padding: 20px 0;
    }
}

/*MARK:700
*/
@media (max-width: 700px) {

}

/*MARK:600
*/
@media (max-width: 600px) {
    #contact {
        flex-direction: column;
        text-align: center;
        gap: 20px;
    }

    #program-baner img {
        height: auto;
        object-fit: cover;
    }

    .servis-text p {
        text-align: center;
    }

    .servis-info p {
        text-align: left;
        font-size: 15px;
    }

    .about360-text p {
        font-size: 15px;
        line-height: 1.4;
    }

}
